Package com.ocient.jdbc.proto

## Interface PlanProtocol.IndexCountStarOperatorOrBuilder

All Superinterfaces:
  `com.google.protobuf.MessageLiteOrBuilder`, `com.google.protobuf.MessageOrBuilder`

All Known Implementing Classes:
  `PlanProtocol.IndexCountStarOperator`, `PlanProtocol.IndexCountStarOperator.Builder`

Enclosing class:
  PlanProtocol

    public static interface PlanProtocol.IndexCountStarOperatorOrBuilder
    extends com.google.protobuf.MessageOrBuilder

### Method Summary

All Methods Instance Methods Abstract Methods
`String` `getDb()` Database name - a table really needs db.schema.name to be uniquely referenced
`com.google.protobuf.ByteString` `getDbBytes()` Database name - a table really needs db.schema.name to be uniquely referenced
`PlanProtocol.Disjunction` `getIndexFilters​(int index)` Filter conditions on the index columns
`int` `getIndexFiltersCount()` Filter conditions on the index columns
`List<PlanProtocol.Disjunction>` `getIndexFiltersList()` Filter conditions on the index columns
`PlanProtocol.DisjunctionOrBuilder` `getIndexFiltersOrBuilder​(int index)` Filter conditions on the index columns
`List<? extends PlanProtocol.DisjunctionOrBuilder>` `getIndexFiltersOrBuilderList()` Filter conditions on the index columns
`String` `getIndexName()` Which index?
`com.google.protobuf.ByteString` `getIndexNameBytes()` Which index?
`String` `getIndexUuid()` `string index_uuid = 8;`
`com.google.protobuf.ByteString` `getIndexUuidBytes()` `string index_uuid = 8;`
`String` `getSchema()` The table schema
`com.google.protobuf.ByteString` `getSchemaBytes()` The table schema
`String` `getStorageSpaceUuid()` `string storage_space_uuid = 7;`
`com.google.protobuf.ByteString` `getStorageSpaceUuidBytes()` `string storage_space_uuid = 7;`
`String` `getTableName()` The table name
`com.google.protobuf.ByteString` `getTableNameBytes()` The table name
`String` `getTableUuid()` `string table_uuid = 6;`
`com.google.protobuf.ByteString` `getTableUuidBytes()` `string table_uuid = 6;`
`PlanProtocol.Disjunction` `getTimeFilters​(int index)` Time filter disjunctions, guaranteed to be aligned
`int` `getTimeFiltersCount()` Time filter disjunctions, guaranteed to be aligned
`List<PlanProtocol.Disjunction>` `getTimeFiltersList()` Time filter disjunctions, guaranteed to be aligned
`PlanProtocol.DisjunctionOrBuilder` `getTimeFiltersOrBuilder​(int index)` Time filter disjunctions, guaranteed to be aligned
`List<? extends PlanProtocol.DisjunctionOrBuilder>` `getTimeFiltersOrBuilderList()` Time filter disjunctions, guaranteed to be aligned

### Methods inherited from interface com.google.protobuf.MessageLiteOrBuilder

`isInitialized`

### Methods inherited from interface com.google.protobuf.MessageOrBuilder

`findInitializationErrors, getAllFields, getDefaultInstanceForType, getDescriptorForType, getField, getInitializationErrorString, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof`

### Method Detail

#### getSchema

    String getSchema()

    The table schema

`string schema = 1;`

Returns:
  The schema.

#### getSchemaBytes

    com.google.protobuf.ByteString getSchemaBytes()

    The table schema

`string schema = 1;`

Returns:
  The bytes for schema.

#### getTableName

    String getTableName()

    The table name

`string tableName = 2;`

Returns:
  The tableName.

#### getTableNameBytes

    com.google.protobuf.ByteString getTableNameBytes()

    The table name

`string tableName = 2;`

Returns:
  The bytes for tableName.

#### getIndexName

    String getIndexName()

    Which index?

`string indexName = 3;`

Returns:
  The indexName.

#### getIndexNameBytes

    com.google.protobuf.ByteString getIndexNameBytes()

    Which index?

`string indexName = 3;`

Returns:
  The bytes for indexName.

#### getIndexFiltersList

    List<PlanProtocol.Disjunction> getIndexFiltersList()

    Filter conditions on the index columns

`repeated .xg.db.sqlPlans.Disjunction index_filters = 4;`

#### getIndexFilters

    PlanProtocol.Disjunction getIndexFilters​(int index)

    Filter conditions on the index columns

`repeated .xg.db.sqlPlans.Disjunction index_filters = 4;`

#### getIndexFiltersCount

    int getIndexFiltersCount()

    Filter conditions on the index columns

`repeated .xg.db.sqlPlans.Disjunction index_filters = 4;`

#### getIndexFiltersOrBuilderList

    List<? extends PlanProtocol.DisjunctionOrBuilder> getIndexFiltersOrBuilderList()

    Filter conditions on the index columns

`repeated .xg.db.sqlPlans.Disjunction index_filters = 4;`

#### getIndexFiltersOrBuilder

    PlanProtocol.DisjunctionOrBuilder getIndexFiltersOrBuilder​(int index)

    Filter conditions on the index columns

`repeated .xg.db.sqlPlans.Disjunction index_filters = 4;`

#### getDb

    String getDb()

    Database name - a table really needs db.schema.name to be uniquely referenced

`string db = 5;`

Returns:
  The db.

#### getDbBytes

    com.google.protobuf.ByteString getDbBytes()

    Database name - a table really needs db.schema.name to be uniquely referenced

`string db = 5;`

Returns:
  The bytes for db.

#### getTableUuid

    String getTableUuid()

`string table_uuid = 6;`

Returns:
  The tableUuid.

#### getTableUuidBytes

    com.google.protobuf.ByteString getTableUuidBytes()

`string table_uuid = 6;`

Returns:
  The bytes for tableUuid.

#### getStorageSpaceUuid

    String getStorageSpaceUuid()

`string storage_space_uuid = 7;`

Returns:
  The storageSpaceUuid.

#### getStorageSpaceUuidBytes

    com.google.protobuf.ByteString getStorageSpaceUuidBytes()

`string storage_space_uuid = 7;`

Returns:
  The bytes for storageSpaceUuid.

#### getIndexUuid

    String getIndexUuid()

`string index_uuid = 8;`

Returns:
  The indexUuid.

#### getIndexUuidBytes

    com.google.protobuf.ByteString getIndexUuidBytes()

`string index_uuid = 8;`

Returns:
  The bytes for indexUuid.

#### getTimeFiltersList

    List<PlanProtocol.Disjunction> getTimeFiltersList()

    Time filter disjunctions, guaranteed to be aligned

`repeated .xg.db.sqlPlans.Disjunction time_filters = 9;`

#### getTimeFilters

    PlanProtocol.Disjunction getTimeFilters​(int index)

    Time filter disjunctions, guaranteed to be aligned

`repeated .xg.db.sqlPlans.Disjunction time_filters = 9;`

#### getTimeFiltersCount

    int getTimeFiltersCount()

    Time filter disjunctions, guaranteed to be aligned

`repeated .xg.db.sqlPlans.Disjunction time_filters = 9;`

#### getTimeFiltersOrBuilderList

    List<? extends PlanProtocol.DisjunctionOrBuilder> getTimeFiltersOrBuilderList()

    Time filter disjunctions, guaranteed to be aligned

`repeated .xg.db.sqlPlans.Disjunction time_filters = 9;`

#### getTimeFiltersOrBuilder

    PlanProtocol.DisjunctionOrBuilder getTimeFiltersOrBuilder​(int index)

    Time filter disjunctions, guaranteed to be aligned

`repeated .xg.db.sqlPlans.Disjunction time_filters = 9;`